unit CPExeMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ImgList, CPExeChild, ActnList, StdActns;

type
  TFormMain = class(TForm)
    MainMenu: TMainMenu;
    Images: TImageList;
    BigMenuFile: TMenuItem;
    MenuNew: TMenuItem;
    MenuSep1: TMenuItem;
    MenuExit: TMenuItem;
    Actions: TActionList;
    ActionNew: TFileOpen;
    ActionExit: TAction;
    procedure FormCreate(Sender: TObject);
    procedure ActionNewExecute(Sender: TObject);
    procedure ActionExitExecute(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  FormMain: TFormMain;

implementation

{$R *.dfm}

procedure TFormMain.FormCreate(Sender: TObject);
begin
  ActionNew.Dialog.InitialDir := ExtractFilePath(Application.ExeName);
end;

procedure TFormMain.ActionNewExecute(Sender: TObject);
begin
  CreateNewChild(TFileOpen(Sender).Dialog.FileName);
end;

procedure TFormMain.ActionExitExecute(Sender: TObject);
begin
  Close;
end;

end.
