unit CPSimplePluginMain;

interface

uses
  ExtCtrls, PluginIntf;

type
  TSimplePlugin = class(TInterfacedObject, IPlugin)
  private
    FComponent : TPanel;
  public
    constructor Create;
    destructor Destroy; override;

    function GetComponent : TAncetre;
  end;

function CreatePlugin : IPlugin; stdcall;

exports CreatePlugin;

implementation

function CreatePlugin : IPlugin;
begin
  Result := TSimplePlugin.Create;
end;

constructor TSimplePlugin.Create;
begin
  inherited;
  FComponent := TPanel.Create(nil);
  FComponent.Caption := 'Plug-in trs simple';
end;

destructor TSimplePlugin.Destroy;
begin
  FComponent.Free;
  inherited;
end;

function TSimplePlugin.GetComponent : TAncetre;
begin
  Result := FComponent;
end;

end.
